Name:		ax25-tools
Version:	0.0.10
Release:	0.6.rc2%{?dist}
Summary:	Tools used to configure an ax.25 enabled computer
Group:		Applications/Communications
License:	GPLv2+
URL:		http://www.linux-ax25.org/wiki/LinuxAX25

#Actual tarball URL http://www.linux-ax25.org/cvsweb/ax25-tools/ax25-tools.tar.gz?tarball=1
Source0:	http://www.linux-ax25.org/cvsweb/ax25-tools/ax25-tools.tar.gz
Source1:	smdiag.desktop
Source2:	xfhdlcchpar.desktop
Source3:	xfhdlcsd.desktop
Source4:	xfsmdiag.desktop
Source5:	xfsmmixer.desktop
#Temporary Icon
Source6:	%{name}.png

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	automake
BuildRequires:	libax25-devel
BuildRequires:	ncurses-devel
BuildRequires:	libXt-devel
BuildRequires:	libXi-devel
BuildRequires:	fltk-devel
BuildRequires:	libX11-devel
BuildRequires:	desktop-file-utils

%description
ax25-tools is a collection of tools that are used to configure an ax.25 enabled
computer. They will configure interfaces and assign callsigns to ports as well
as Net/ROM and ROSE configuration.  This package only contains the command
line programs; the GUI programs are contained in ax25-tools-x package.

 * m6pack - handle multiple 6pack TNCs on a single interface
 * ax25d - general purpose AX.25, NET/ROM and Rose daemon
 * axctl - configure/Kill running AX.25 connections
 * axparms - configure AX.25 interfaces
 * axspawn - allow automatic login to a Linux system
 * beacon - transmit periodic messages on an AX.25 port
 * bpqparms - configure BPQ ethernet devices
 * mheardd - display AX.25 calls recently heard
 * rxecho - transparently route AX.25 packets between ports
 * mheard - collect information about packet activity
 * dmascc_cfg - configure dmascc devices
 * sethdlc - get/set Linux HDLC packet radio modem driver port information
 * smmixer - get/set Linux soundcard packet radio modem driver mixer
 * kissattach - Attach a KISS or 6PACK interface
 * kissnetd - create a virtual network
 * kissparms - configure KISS TNCs
 * mkiss - attach multiple KISS interfaces
 * net2kiss - convert a network AX.25 driver to a KISS stream on a pty
 * netromd - send and receive NET/ROM routing messages
 * nodesave - saves NET/ROM routing information
 * nrattach - start a NET/ROM interface
 * nrparms - configure a NET/ROM interface
 * nrsdrv - KISS to NET/ROM serial converter
 * rsattach - start a ROSE interface
 * rsdwnlnk - user exit from the ROSE network
 * rsmemsiz - monitor the ROSE subsystem
 * rsusers.sh - monitor AX.25, NET/ROM and ROSE users
 * rsparms - configure a ROSE interface
 * rsuplnk - User entry into the ROSE network
 * rip98d - RIP98 routing daemon
 * ttylinkd - TTYlink daemon for AX.25, NET/ROM, ROSE and IP
 * ax25_call - Make an AX.25 connection
 * netrom_call - Make a NET/ROM connection
 * rose_call - Make a ROSE connection
 * tcp_call - Make a TCP connection
 * yamcfg - configure a YAM interface

%package x
Summary:	X tools used to configure an AX.25 enabled computer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description x
ax25-tools-x is a collection of tools that are used to configure an ax.25 enabled
computer.  This package contains the GUI programs to configure Baycom modem
and sound modem.

 * smdiag - Linux soundcard packet radio modem driver diagnostics utility
 * xfhdlcchpar - kernel HDLC radio modem driver channel parameter utility
 * xfhdlcst - kernel HDLC radio modem driver status display utility
 * xfsmdiag - kernel soundcard radio modem driver diagnostics utility
 * xfsmmixer - kernel soundcard radio modem driver mixer utility

%package docs
Summary:	Documentation for ax25-tools and ax25-tools-x
Group:		Documentation

%description docs
ax25-tools is a collection of tools that are used to configure an ax.25 enabled
computer.  This package contains the GUI programs to configure Baycom modem
and sound modem. This package contains the documentation for ax25-tools and
ax25-tools-x

%prep
%setup -qn %{name}

%build
autoreconf
%configure
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet so we'll use a temporary one
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE6} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
desktop-file-install	\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
desktop-file-install	\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}
desktop-file-install	\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE3}
desktop-file-install	\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE4}
desktop-file-install	\
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE5}

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%doc yamdrv/README.yamdrv user_call/README.user_call tcpip/ttylinkd.README dmascc/README.dmascc
%{_bindir}/*
%{_sbindir}/*

%files x
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop

%files docs
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_mandir}/man?/*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-0.6.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-0.5.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-0.4.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-0.3.rc2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 30 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.10-0.2.rc2
- Rebuild for broken deps on Rawhide/F16

* Mon Jun 27 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.10-0.1.rc2
- New upstream release

* Sun Jun 26 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.9-9
- Add .desktop files for GUI applications in ax25-tools-x
- Upload source to git

* Sun Jun 26 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.9-8
- Seperate documentation into sperate package

* Sun Jun 26 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.9-7
- Attempt rebuild including upstream recommendations
- Additional BuildRequires libX11-devel

* Tue Jun 21 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.9-6
- Rebuild test including new BRs

* Tue Jun 21 2011 Ralf Baechle <ralf@linux-mips.org> - 0.0.9-5
- Added BRs libXi-devel, fltk-devel

* Tue Jun 21 2011 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 0.0.9-4
- Rebuild per bz #545272

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 12 2009 Randall J. Berry <dp67@fedoraproject.org> 0.0.9-1
- Upstream update to 0.0.9, #488049
- Upstream URL has changed
- Remove patches applied to newer source

* Thu Dec 11 2008 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.8-3
- Fix pseudo-terminal issue, #475045

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.8-2
- Submit for review

* Thu Dec 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.8-1
- Initial Build
